package com.gic.evaluate.dao.mapper;

import com.gic.evaluate.entity.TabEvaluateImg;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabEvaluateImgMapper {
    /**
     * 根据主键删除
     *
     * @param evaluateImgId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer evaluateImgId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabEvaluateImg record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabEvaluateImg record);

    /**
     * 根据主键查询
     *
     * @param evaluateImgId 主键
     * @return 实体对象
     */
    TabEvaluateImg selectByPrimaryKey(Integer evaluateImgId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabEvaluateImg record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabEvaluateImg record);

    List<TabEvaluateImg> listImageByEvaluateId(@Param("evaluateId") Integer evaluateId);

    List<TabEvaluateImg> listImageByEvaluateReplyId(@Param("evaluateReplyId") Integer evaluateReplyId);

}