package com.gic.evaluate.service.impl;

import com.gic.evaluate.constant.Constants;
import com.gic.evaluate.dao.mapper.TabEvaluateTagsMapper;
import com.gic.evaluate.entity.TabEvaluateQuick;
import com.gic.evaluate.entity.TabEvaluateTags;
import com.gic.evaluate.service.EvaluateQuickService;
import com.gic.evaluate.service.EvaluateTagsService;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-02-28 17:35
 */
@Service
public class EvaluateTagsServiceImpl implements EvaluateTagsService {

    private Logger logger = LogManager.getLogger(EvaluateTagsServiceImpl.class);

    @Autowired
    private TabEvaluateTagsMapper tabEvaluateTagsMapper;
    @Autowired
    private EvaluateQuickService evaluateQuickService;

    @Override
    public void saveQuick(Integer quickTagsId, Integer enterpriseId, Integer evaluateId, Long memberId) {
        TabEvaluateQuick evaluateQuick = evaluateQuickService.getById(quickTagsId);
        if (evaluateQuick != null) {
            TabEvaluateTags tabEvaluateTags = new TabEvaluateTags();
            tabEvaluateTags.setEvaluateId(evaluateId);
            tabEvaluateTags.setMemberId(memberId);
            tabEvaluateTags.setTagType(evaluateQuick.getTagType());
            tabEvaluateTags.setTagName(evaluateQuick.getTagName());
            tabEvaluateTags.setCreateTime(new Date());
            tabEvaluateTags.setUpdateTime(new Date());
            tabEvaluateTags.setEnterpriseId(enterpriseId);
            tabEvaluateTags.setStatus(Constants.OPEN);
            tabEvaluateTagsMapper.insertSelective(tabEvaluateTags);
        } else {
            logger.info("该快评不存在:{}, evaluateId:{}", quickTagsId, evaluateId);
        }
    }
}
